
\begin{enumerate}
    \item what are coprocessors ?
    \item what is a MAC (multiplier accumulator) ?
    \item what is a bus exactly, how does it work electronically ?
    \item what are threads ?
    \item what is a semaphore ?
    \item sequential memory addresses vs random access memory
    \item what is code density ?
    \item where to find technical specs for computer chips ? i want to compare these to what appears in the manual (which is 20 years old)
\end{enumerate}